## matplotlib 1.2.0

=== debian/changelog ===
matplotlib (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/{control, rules}
    - run tests for python3 module
  * debian/{control, README.debian}
    - add several missing dependencies (and b-d) for Matplotlib backends
  * debian/rules
    - no longer set examples.* options in matplotlibrc when building doc (they
      are not needed with 1.2.0)
  * debian/patches/60_bts691960_reintroduce_examples.directory_rcparam.patch
    - reintroduce (removed in 1.2.x series) 'examples.directory' rc parameter,
      in order to specify the Debian custom sample_data path; thanks to Julian
      Taylor for the report; Closes: #691960

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Nov 2012 12:17:37 +0100

matplotlib (1.2.0~rc2-2) experimental; urgency=low

  * debian/{control, rules}
    - provide Python 3 packages, based on the work of Thomas Kluyver (thanks!);
      thanks to Yaroslav Halchenko for the report; Closes: #669272

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Oct 2012 22:55:15 +0200

matplotlib (1.2.0~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * debian/control
    - updated Homepage field to new upstream website location
  * debian/copyright
    - converted to DEP-5 format
    - updated to new upstream code
    - extended packaging copyright years
  * debian/patches/60_new_syntax_to_load_searchindex.patch
    - removed, merged upstream
  * debian/watch
    - updated to point to github
  * debian/patches/30_disable_sample_downloads.patch
    - removed, no longer needed
  * debian/patches/10_build_fix.patch
    - disabled, but not removed in case we'll have to restore it
  * debian/python-matplotlib-data.install
    - install sampledata from new location (now it's in upstream tarball)
    - use matplotlibrc.template to install base matplotlib.conf file
  * debian/rules
    - set backend and not datapath in matplotlibrc when running tests
    - fix broken symlinks to TrueType fonts; thanks to Ian Zimmerman for the
      report; Closes: #687674
  * debian/{control, rules}
    - run tests under 'xvfb-run', needed to run inkscape (which is required to
      compare SVG images); adding relevant b-d (xvfb and xauth)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Sep 2012 19:44:06 +0200
