=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7),
               dvipng,
               ghostscript,
               graphviz,
               inkscape,,
               libfreetype6-dev,
               libgtk2.0-dev,
               libpng-dev,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python3-all-dbg,
               python3-all-dev,
               python-dateutil,
               python-cairo,
               python3-cairo,
               python3-dateutil,
               python-gi,
               python3-gi,
               python-gtk2-dev,
               python-imaging,
               python-nose,
               python3-nose,
               python-numpy (>= 1:1.5.1-4),
               python-numpy-dbg (>= 1:1.5.1-4),
               python3-numpy,
               python3-numpy-dbg,
               python-pkg-resources,
               python3-pkg-resources,
               python-qt4,
               python3-pyqt4,
               python-setuptools,
               python3-setuptools,
               python3-six,
               python-sphinx (>= 1.0.7+dfsg),
               python-support (>= 1.0.0),
               python-tk (>= 2.5.2-1.1),
               python3-tk,
               python-tz,
               python3-tz,
               python-wxgtk2.8,
               python-xlwt,
               tcl8.5-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.5-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3
Homepage: http://matplotlib.org/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/

Package: python-matplotlib
Architecture: any
Depends: python-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
Enhances: ipython
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-cairo,
          python-configobj,
          python-excelerator,
          python-fltk,
          python-gobject,
          python-gtk2,
          python-matplotlib-doc,
          python-qt4,
          python-scipy,
          python-sip,
          python-traits (>= 2.0),
          python-wxgtk2.8,
          texlive-extra-utils,
          texlive-latex-extra
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing,
         python3-six,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tk
Enhances: ipython3
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairo,
          python3-gi,
          python3-gobject,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          texlive-extra-utils,
          texlive-latex-extra
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.
