=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/matplotlib/matplotlib/downloads .*/matplotlib-(.*).tar.gz
