## matplotlib 1.2.1

=== debian/changelog ===
matplotlib (1.2.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release
  * multiarch-tktcl.patch:
    add multiarch path to tk/tclConfig.sh search path

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 17 Apr 2013 21:15:58 +0200
