=== debian/changelog ===
matplotlib (1.3.1-1ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Buffer Overrun
    - debian/patches/CVE-2013-1424: Replace vsprintf with vsnprintf to avoid
      buffer overrun. The patch is thanks to Debian.
    - CVE-2013-1424

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 04 Dec 2018 10:39:06 -0500

matplotlib (1.3.1-1ubuntu5) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:10 +0100

matplotlib (1.3.1-1ubuntu4) trusty; urgency=medium

  * Fix build failure with updated numpy.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Mar 2014 11:55:45 +0100

matplotlib (1.3.1-1ubuntu3) trusty; urgency=medium

  [ Tim Lunn ]
  * debian/control: Build depend against tcl/tk 8.6 since this is the default
    for python2.7 now (LP: #1266605)

  [ Julian Taylor ]
  * add python{,3}-tk-dbg build dependency for debug tkagg backend
  * add autopkgtest doing basic testing of a few backends

 -- Tim Lunn <tim@feathertop.org>  Tue, 07 Jan 2014 11:08:52 +1100

matplotlib (1.3.1-1ubuntu2) trusty; urgency=low

  * Backport upstream patch (fix_infinite_recursion.diff) to fix nitime
    build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 24 Dec 2013 19:31:52 +0400

matplotlib (1.3.1-1ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - multiarch-tktcl.patch: add multiarch path to tk/tclConfig.sh search path
      (LP #752647)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Oct 2013 07:17:53 +0100

matplotlib (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks Anton Gladky; Closes: #719065, #719384
  * debian/patches/70_fix_UnicodeDecodeError.patch
    - removed, merged upstream
  * debian/{control, README.debian}
    - added nose and tornado to Suggests, needed to require matplotlib with
      pkg_resources; thanks to Javi Merino for the report; Closes: #725048
  * debian/control
    - added ghostscript and inkscape to Suggests (to run tests) and
      python-imaging to Recommends (enhance mpl usage); thanks to Tobias Megies
      for the report; Closes: #725047
    - added python{,3}-tornato to b-d, needed for tests
  * debian/{control, patches/70_bts720549_try_StayPuft_for_xkcd.patch}
    - try also StayPuft font when using xkcd style function; thanks to Elena
      Grandi for the report; Closes: #720549

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Oct 2013 10:47:22 +0200

matplotlib (1.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix error in font_manager.py: UnicodeDecodeError when starting 
    ipython --pylab. (Closes: #719065)
  * Fix AttributeError error where there are no writable directories.

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Sep 2013 16:10:15 +0200

matplotlib (1.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release; thanks to Julian Taylor for the report;
    Closes: #705631
  * debian/watch
    - switch back to SF for upstream tarballs
  * Remove references to Fltk backend, now removed upstream
  * debian/control
    - add python-numpydoc to b-d, needed to build doc
    - add python{,3}-pyparsing, it's no longer bundled in the upstream tarball;
      Closes: #531024
    - bump Standards-Version to 3.9.4 (no changes needed)
  * debian/README.debian
    - changed location of user-specific config file
  * debian/patches/*
    - refreshed and removed merged patch
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notice
  * debian/rules
    - setupegg.py was removed, use setup.py instead
    - remove .pyc files from -doc package

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix typos in README.debian.

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Aug 2013 22:15:44 +0200
