=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dvipng,
                ghostscript,
                graphviz,
-               inkscape,,
+               inkscape,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
@@ -17,9 +17,9 @@
                python3-all-dbg,
                python3-all-dev,
                python-dateutil,
+               python3-dateutil,
                python-cairo,
                python3-cairo,
-               python3-dateutil,
                python-gi,
                python3-gi,
                python-gtk2-dev,
@@ -28,10 +28,13 @@
                python3-nose,
                python-numpy (>= 1:1.5.1-4),
                python-numpy-dbg (>= 1:1.5.1-4),
+               python-numpydoc,
                python3-numpy,
                python3-numpy-dbg,
                python-pkg-resources,
                python3-pkg-resources,
+               python-pyparsing,
+               python3-pyparsing,
                python-qt4,
                python3-pyqt4,
                python-setuptools,
@@ -40,25 +43,30 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
+               python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,
+               python3-tk-dbg,
+               python-tornado,
+               python3-tornado,
                python-tz,
                python3-tz,
                python-wxgtk2.8,
                python-xlwt,
-               tcl8.5-dev,
+               tcl8.6-dev,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
-               tk8.5-dev,
+               tk8.6-dev,
                xauth,
                xvfb,
                zlib1g-dev
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://matplotlib.org/
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-matplotlib
 Architecture: any
@@ -69,26 +77,32 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
+Recommends: python-glade2,
+            python-imaging,
+            python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
           gir1.2-gtk-3.0,
+          ghostscript,
+          inkscape,
           ipython (>= 0.6.3),
           librsvg2-common,
           python-cairo,
           python-configobj,
           python-excelerator,
-          python-fltk,
           python-gobject,
           python-gtk2,
           python-matplotlib-doc,
+          python-nose,
           python-qt4,
           python-scipy,
           python-sip,
+          python-tornado,
           python-traits (>= 2.0),
           python-wxgtk2.8,
           texlive-extra-utils,
-          texlive-latex-extra
+          texlive-latex-extra,
+          ttf-staypuft
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
@@ -106,21 +120,27 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-tk
+Recommends: python3-imaging,
+            python3-tk
 Enhances: ipython3
 Suggests: dvipng,
           gir1.2-gtk-3.0,
+          ghostscript,
+          inkscape,
           ipython3,
           librsvg2-common,
           python-matplotlib-doc,
           python3-cairo,
           python3-gi,
           python3-gobject,
+          python3-nose,
           python3-pyqt4,
           python3-scipy,
           python3-sip,
+          python3-tornado,
           texlive-extra-utils,
-          texlive-latex-extra
+          texlive-latex-extra,
+          ttf-staypuft
 Description: Python based plotting system in a style similar to Matlab (Python 3)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
