=== debian/changelog ===
matplotlib (1.4.2-3.1ubuntu1) wily; urgency=medium

  [ Barry Warsaw ]
  * d/rules: Be prepared to build for multiple Python 3 versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jul 2015 21:03:46 +0000

matplotlib (1.4.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2013-1424: printf buffer overrun (closes: #775691).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 23:16:11 +0000

matplotlib (1.4.2-3) unstable; urgency=medium

  * debian/patches/test_backend_with_timeout.patch
    - fixed patch to correctly terminating run-away processes during backend
      checks; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Oct 2014 23:31:03 +0000

matplotlib (1.4.2-2) unstable; urgency=medium

  * debian/patches/1a182a98f76ce8c624bbaf3882e40d799e867338.patch
    - fix a possible deadlock when identifying Qt backends; thanks to Julien
      Cristau for the report; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Oct 2014 23:18:01 +0000

matplotlib (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Oct 2014 00:26:25 +0100

matplotlib (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Oct 2014 00:50:50 +0100

matplotlib (1.4.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump deps to WX 3.0; thanks to Olly Betts for the report; Closes: #759094
    - uses cairocffi instead of cairo, preferred upstream; thanks to
      Jean-Christophe Jaskula for the report; Closes: #764359
    - tighten deps on python-six to >= 1.4
    - switch me to Maintainer (team to Uploaders)
  * debian/tests/backend-base
    - help mpl turn off interactive mode

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Oct 2014 00:17:18 +0100

matplotlib (1.4.0-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * Switch to dh_python2
  * debian/copyright
    - extend packaging copyright years
    - updated to new upstream code
  * debian/control
    - updated b-d to new requirements
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/rules
    - export XDG_RUNTIME_DIR to prevent build stuck
    - removed TODO installation in -doc package, no longer shipped
  * debian/patches/*
    - refreshed, removed patches merged upstream
  * debian/python-matplotlib-doc.lintian-overrides
    - override privacy-breach-piwik error, Piwik is only activated if it's the
      main website
  * debian/python-matplotlib-data.install
    - install stylelib directory

  [ Julian Taylor ]
  * debian/control:
    - update python{,3}-pyparsing dependency to the required version >= 1.5.6

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Sep 2014 01:09:53 +0100

matplotlib (1.3.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added python3-gi-cairo to Suggest for py3k package; thanks to Arnaud
      Gardelein for the report; Closes: #730728
    - fix Recommends to python3-pil; thanks to Ryo IGARASHI for the report and
      patch; Closes: #743899
  * debian/python-matplotlib.preinst
    - removed, no longer needed

  [ Julian Taylor ]
  * debian/patches/fix_infinite_recursion.patch
    - fix infinite recursion in units.py with ndarray subclasses
      (Closes: #729590)
  * debian/patches/gtk3{agg,cairo}_check_no-multiprocessing.patch
    - do not use backend_gtk3{cairo,agg}_internal_check with multiprocessing.
      Workaround to resolve the deadlock in setup.py
  * debian/patches/multiarch-tktcl.patch
    - fixed missing tkagg due to absent path to multiarch tktcl
      (Closes: #750630)
  * debian/{control,rules}
    - depend and use packaged jquery instead of shipped minified variants
      (Closes: #737438)
  * debian/control
    - added python{,3}-tk-dbg build depends for debugging enabled tk backend
      (Closes: #714948)
    - updated build-depends to use tcl/tk 8.6 to match what python-tk is
      using (Closes: #752548)
  * debian/tests
    - added autopkg tests for the basic backends (Closes: #734988)
  * debian/rules
    - run xvfb-run with the -a flag to allow multiple instances at the same
      time

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 15:48:15 -0400
