=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
+               dh-python,
                dvipng,
                ghostscript,
                graphviz,
-               inkscape,
+               inkscape,,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
@@ -18,30 +19,34 @@
                python3-all-dev,
                python-dateutil,
                python3-dateutil,
-               python-cairo,
-               python3-cairo,
+               python-cairocffi,
+               python3-cairocffi,
                python-gi,
                python3-gi,
                python-gtk2-dev,
                python-imaging,
+               python-mock,
+               python3-mock,
                python-nose,
                python3-nose,
-               python-numpy (>= 1:1.5.1-4),
-               python-numpy-dbg (>= 1:1.5.1-4),
+               python-numpy,
+               python-numpy-dbg,
                python-numpydoc,
                python3-numpy,
                python3-numpy-dbg,
                python-pkg-resources,
                python3-pkg-resources,
-               python-pyparsing,
-               python3-pyparsing,
+               python-pyparsing (>= 1.5.6),
+               python3-pyparsing (>= 1.5.6),
                python-qt4,
                python3-pyqt4,
+               python-pyqt5,
+               python3-pyqt5,
                python-setuptools,
                python3-setuptools,
-               python3-six,
+               python-six (>= 1.4),
+               python3-six (>= 1.4),
                python-sphinx (>= 1.0.7+dfsg),
-               python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
                python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,
@@ -50,7 +55,7 @@
                python3-tornado,
                python-tz,
                python3-tz,
-               python-wxgtk2.8,
+               python-wxgtk3.0,
                python-xlwt,
                tcl8.6-dev,
                texlive-fonts-recommended,
@@ -62,7 +67,7 @@
                zlib1g-dev
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://matplotlib.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
@@ -72,8 +77,10 @@
 Architecture: any
 Depends: python-dateutil,
          python-matplotlib-data (>= ${source:Version}),
-         python-pyparsing,
+         python-pyparsing (>= 1.5.6),
          python-tz,
+         libjs-jquery,
+         libjs-jquery-ui,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -87,7 +94,7 @@
           inkscape,
           ipython (>= 0.6.3),
           librsvg2-common,
-          python-cairo,
+          python-cairocffi,
           python-configobj,
           python-excelerator,
           python-gobject,
@@ -99,7 +106,7 @@
           python-sip,
           python-tornado,
           python-traits (>= 2.0),
-          python-wxgtk2.8,
+          python-wxgtk3.0,
           texlive-extra-utils,
           texlive-latex-extra,
           ttf-staypuft
@@ -114,13 +121,15 @@
 Architecture: any
 Depends: python3-dateutil,
          python-matplotlib-data (>= ${source:Version}),
-         python3-pyparsing,
-         python3-six,
+         python3-pyparsing (>= 1.5.6),
+         python3-six (>= 1.4),
          python3-tz,
+         libjs-jquery,
+         libjs-jquery-ui,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-imaging,
+Recommends: python3-pil,
             python3-tk
 Enhances: ipython3
 Suggests: dvipng,
@@ -130,8 +139,9 @@
           ipython3,
           librsvg2-common,
           python-matplotlib-doc,
-          python3-cairo,
+          python3-cairocffi,
           python3-gi,
+          python3-gi-cairo,
           python3-gobject,
           python3-nose,
           python3-pyqt4,
