=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export XDG_RUNTIME_DIR=/tmp
 
 PY2VERS := $(shell pyversions -v -r debian/control)
 PY3VERS := $(shell py3versions -v -r debian/control)
@@ -42,7 +44,7 @@
 					print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$* -c "import matplotlib as m ; m.test(verbosity=1)"
 
 	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
 	                                    from distutils.core import Distribution ; \
@@ -51,7 +53,7 @@
 					    print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
 	rm -f matplotlibrc
 endif
 
@@ -125,11 +127,26 @@
 	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/
 
+	# replace minified jquery with packaged version and hope it works
+	for i in $(PY2VERS); do \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery/jquery.min.js \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
+	done
+
 	touch $@
 
 install-py3-%-stamp: build-%-stamp
 	dh_testdir
 	dh_testroot
+
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css
+
 
 	python$* ./setup.py install_lib \
 		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ --no-compile
@@ -149,6 +166,16 @@
 
 	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/
+
+	# replace minified jquery with packaged version and hope it works
+	for i in $(PY3VERS); do \
+	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
+	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
+	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
+	done
 
 	touch $@
 
@@ -179,41 +206,3 @@
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
 	dh_link -i
 	dh_sphinxdoc
-	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
-	dh_lintian -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
-
-binary-arch: build-arch install-arch
-	dh_testdir -a
-	dh_testroot -a
-	dh_installchangelogs -a CHANGELOG
-	dh_installdocs -p$(p) -a README.rst TODO
-	# make python scripts starting with '#!' executable
-	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
-		if head -1 $$i | grep -q '^#!'; then \
-			chmod 755 $$i; \
-			echo "made executable: $$i"; \
-		fi; \
-	done
-	dh_pysupport -a
-	dh_python3 -a
-	dh_link -a
-	dh_lintian -a
-	dh_strip -a -p$(p) --dbg-package=$(pdbg)
-	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
-	# fix python-debug-in-wrong-location lintian warning
-	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
